Host V Motion System Update Ip Config

Host V Motion System Update Ip Config
Update the IP configuration of VMotion VirtualNic.

Update the IP configuration of VMotion VirtualNic.

Required privileges: Host.Config.Network

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostVMotionSystem/{moId}/UpdateIpConfig
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostVMotionSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
UpdateIpConfigRequestType of type(s) application/json
Required

Show optional properties

{
    "ipConfig": {
        "dhcp": false
    }
}
{
    "ipConfig": {
        "_typeName": "string",
        "dhcp": false,
        "ipAddress": "string",
        "subnetMask": "string",
        "ipV6Config": {
            "_typeName": "string",
            "ipV6Address": [
                {
                    "_typeName": "string",
                    "ipAddress": "string",
                    "prefixLength": 0,
                    "origin": "string",
                    "dadState": "string",
                    "lifetime": "string",
                    "operation": "string"
                }
            ],
            "autoConfigurationEnabled": false,
            "dhcpV6Enabled": false
        }
    }
}
object
ipConfig
Required

The IP configuration.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

NotFound: if no VirtualNic is selected for VMotion.

InvalidArgument: if the IpConfig is invalid or cannot be used.

HostConfigFault: for any other failure

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"ipConfig":"object"}' https://{api_host}/sdk/vim25/{release}/HostVMotionSystem/{moId}/UpdateIpConfig